List Collections
GET
/store/:storeCode/collectionsRetrieve a paginated list of collections.
Path Parameters
storeCoderequiredstringStore slug in the URL (first argument to every SDK store method).
Query Parameters
limitnumberMaximum number of items to return.
offsetnumberNumber of items to skip before collecting the result set.
orderstringField to sort by. Prefix with `-` for descending order (e.g. `-created_at`).
fieldsstringComma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).
qstringSearch query.
titlestringFilter by title.
handlestringFilter by handle.
Response
Status
200OK
Schema
CopyHttpTypes.StoreCollectionListResponse
Properties
collectionsrequiredStoreCollection[]List of collections.
countrequirednumberTotal count.
offsetrequirednumberOffset applied.
limitrequirednumberLimit applied.